| Cantera 3.0.0

Loading...
Searching...
No Matches
Namespaces | Functions | Variables
BasisOptimize.cpp File Reference

Functions which calculation optimized basis of the stoichiometric coefficient matrix (see /ref equil functions) More...

`#include "cantera/equil/MultiPhase.h"`
`#include "cantera/base/utilities.h"`
`#include "cantera/base/global.h"`
Include dependency graph for BasisOptimize.cpp:

## Detailed Description

Functions which calculation optimized basis of the stoichiometric coefficient matrix (see /ref equil functions)

Definition in file BasisOptimize.cpp.

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
size_t | BasisOptimize (int *usedZeroedSpecies, bool doFormRxn, MultiPhase *mphase, vector< size_t > &orderVectorSpecies, vector< size_t > &orderVectorElements, vector< double > &formRxnMatrix)
| Choose the optimum basis of species for the equilibrium calculations.
void | ElemRearrange (size_t nComponents, const vector< double > &elementAbundances, MultiPhase *mphase, vector< size_t > &orderVectorSpecies, vector< size_t > &orderVectorElements)
| Handles the potential rearrangement of the constraint equations represented by the Formula Matrix.

## Variables
int | BasisOptimize_print_lvl = 0
| External int that is used to turn on debug printing for the BasisOptimize program.
static const double | USEDBEFORE = -1